### Method

# Gimp Item transform_translate

since: 2.10

#### Declaration [src]

    GimpItem*
    gimp_item_transform_translate (
      GimpItem* item,
      gdouble off_x,
      gdouble off_y
    )

#### Description [src]

Translate the item by the specified offsets.

This procedure translates the item by the amounts specified in the off_x and off_y arguments. These can be negative, and are considered offsets from the current position. The offsets will be rounded to the nearest pixel unless the item is a path.

Available since: 2.10

#### Parameters

`off_x`

  Type: `gdouble`

  Offset in x direction.

`off_y`

  Type: `gdouble`

  Offset in y direction.

#### Return value

Type: `GimpItem`

The translated item.

The returned data is owned by the instance.